/* ===== Colors ===== */
:root {
    --background-color: black;
    --section-color: black;
    --button-color: black;
    --text-color: cyan;
    --outline-color: cyan;
    --active-color: blue;
    --active-text-color: white;
}

/* ===== Main ===== */
body {
    background-color: var(--background-color);
    color: var(--text-color);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

#logo {
    width: 100px;
    height: auto;
    padding: 15px;
    animation: logo-start 0.5s;
}

@keyframes logo-start {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* ===== Header, Content, and Footer ===== */
header,
#content,
#copyright {
    width: 90%;
    margin: 0 auto;
    box-sizing: border-box;
    color: var(--text-color);
    font-weight: bold;
    border-radius: 10px;
}

header {
    display: flex;
    align-items: center;
    justify-content: center;
}

#content,
#copyright {
    padding: 2.5%;
    background-color: var(--section-color);
    border: 5px solid var(--outline-color);
}

#copyright {
    text-align: center;
}

/* ===== Navigation ===== */
.navigation {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    padding: 0;
    margin: 0;
    list-style: none;
}

.btn {
    display: block;
    padding: 5px 10px;
    background-color: var(--button-color);
    color: var(--text-color);
    border: 0;
    border-radius: 7.5px;
    outline: 3px solid var(--outline-color);
    font-size: 30px;
    font-weight: bold;
    transition: all 0.1s;
}

.btn:hover {
    outline-width: 6px;
}

.btn.active {
    background-color: var(--active-color);
    color: var(--active-text-color);
}

/* ===== Responsive ===== */
@media (max-width: 700px) {
    header {
        flex-direction: column;
    }

    .btn {
        font-size: 20px;
    }

    #logo {
        width: 20%;
    }
}
